Subject: Re: CONFIG_BOOTX_TEXT breaks PowerBook 3400 with BootX

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 20 Aug 2008 14:07:29 +1000

On Wed, 2008-08-20 at 03:23 +1000, Finn Thain wrote:
> Hi All,
> 
> When I build kernels with CONFIG_BOOTX_TEXT enabled I can't boot a PB 3400 
> with BootX. I get a black screen with "Welcome to Linux" at the top, then 
> it appears to hang. Debian kernels are configured this way and suffer the 
> same problem.
> 
> I don't know if Quik is affected. It is a bit of a hassle at install time 
> since the (mediabay) floppy drive can't co-exist with the (mediabay) 
> CDROM, so I'm using BootX to do the Debian install.
> 
> The Debian Sarge 2.6.8-4 kernel does not seem to have this problem though 
> kernel.org 2.6.16 and later versions do.
> 
> Any ideas?

How "late" have you tried ? I remember fixing something at one point...

Ben.